PATCH
/customers/{customer_id}/addresses/{address_id} Updates an address for a customer using its ID and related customer ID.
If successful, your response includes a copy of the updated address entity.
Requires address.write
permission.
Path parameters
address_idstringrequired
Paddle ID of the address entity to work with.
customer_idstringrequired
Example:
ctm_01grnn4zta5a1mf02jjze7y2ysUnique Paddle ID for this customer entity, prefixed with
ctm_.Pattern:
^ctm_[a-z\d]{26}$Request body
descriptionstring | null
Example:
Paddle.comMemorable description for this address.
Max length: 1024
first_linestring | null
Example:
3811 Ditmars BlvdFirst line of this address.
Max length: 1024
second_linestring | null
Second line of this address.
Max length: 1024
citystring | null
Example:
AstoriaCity of this address.
Max length: 200
postal_codestring | null
Example:
11105-1803ZIP or postal code of this address. Required for some countries.
Max length: 200
regionstring | null
Example:
NYState, county, or region of this address.
Max length: 200
country_codestring
Supported two-letter ISO 3166-1 alpha-2 country code for this address.
Values
ADAndorraAEUnited Arab EmiratesAGAntigua and BarbudaAIAnguillaALAlbania
+ Show all values− Hide values
AMArmeniaAOAngolaARArgentinaASAmerican SamoaATAustriaAUAustraliaAWArubaAXÅland IslandsAZAzerbaijanBABosnia and HerzegovinaBBBarbadosBDBangladeshBEBelgiumBFBurkina FasoBGBulgariaBHBahrainBIBurundiBJBeninBLSaint BarthélemyBMBermudaBNBruneiBOBoliviaBQCaribbean Netherlands (Bonaire, Sint Eustatius, and Saba)BRBrazilBSBahamasBTBhutanBVBouvet IslandBWBotswanaBZBelizeCACanadaCCCocos IslandsCGRepublic of CongoCHSwitzerlandCICôte d'Ivoire (Ivory Coast)CKCook IslandsCLChileCMCameroonCNChinaCOColombiaCRCosta RicaCVCape VerdeCWCuraçaoCXChristmas IslandCYCyprusCZCzechia (Czech Republic)DEGermanyDJDjiboutiDKDenmarkDMDominicaDODominican RepublicDZAlgeriaECEcuadorEEEstoniaEGEgyptEHWestern SaharaEREritreaESSpainETEthiopiaFIFinlandFJFijiFKFalkland IslandsFMMicronesiaFOFaroe IslandsFRFranceGAGabonGBUnited KingdomGDGrenadaGEGeorgiaGFFrench GuianaGGGuernseyGHGhanaGIGibraltarGLGreenlandGMGambiaGNGuineaGPGuadeloupeGQEquatorial GuineaGRGreeceGSSouth Georgia and the South Sandwich IslandsGTGuatemalaGUGuamGWGuinea-BissauGYGuyanaHKHong KongHMHeard Island and McDonald IslandsHNHondurasHRCroatiaHUHungaryIDIndonesiaIEIrelandILIsraelIMIsle of ManINIndiaIOBritish Indian Ocean TerritoryIQIraqISIcelandITItalyJEJerseyJMJamaicaJOJordanJPJapanKEKenyaKGKyrgyzstanKHCambodiaKIKiribatiKMComorosKNSaint Kitts and NevisKRSouth KoreaKWKuwaitKYCayman IslandsKZKazakhstanLALao People's Democratic Republic (Laos)LBLebanonLCSaint LuciaLILiechtensteinLKSri LankaLRLiberiaLSLesothoLTLithuaniaLULuxembourgLVLatviaMAMoroccoMCMonacoMDMoldovaMEMontenegroMFSaint MartinMGMadagascarMHMarshall IslandsMKMacedoniaMNMongoliaMOMacaoMPNorthern Mariana IslandsMQMartiniqueMRMauritaniaMSMontserratMTMaltaMUMauritiusMVMaldivesMWMalawiMXMexicoMYMalaysiaMZMozambiqueNANamibiaNCNew CaledoniaNENigerNFNorfolk IslandNGNigeriaNLNetherlandsNONorwayNPNepalNRNauruNUNiueNZNew ZealandOMOmanPAPanamaPEPeruPFFrench PolynesiaPGPapua New GuineaPHPhilippinesPKPakistanPLPolandPMSaint Pierre and MiquelonPNPitcairnPRPuerto RicoPSPalestinian territoriesPTPortugalPWPalauPYParaguayQAQatarREReunionRORomaniaRSRepublic of SerbiaRWRwandaSASaudi ArabiaSBSolomon IslandsSCSeychellesSESwedenSGSingaporeSHSaint HelenaSISloveniaSJSvalbard and Jan MayenSKSlovakiaSLSierra LeoneSMSan MarinoSNSenegalSRSurinameSTSão Tomé and PríncipeSVEl SalvadorSXSint MaartenSZSwazilandTCTurks and Caicos IslandsTDChadTFFrench Southern and Antarctic LandsTGTogoTHThailandTJTajikistanTKTokelauTLTimor-LesteTMTurkmenistanTNTunisiaTOTongaTRTurkeyTTTrinidad and TobagoTVTuvaluTWTaiwanTZTanzaniaUAUkraineUGUgandaUMUnited States Minor Outlying IslandsUSUnited StatesUYUruguayUZUzbekistanVAHoly See (Vatican City)VCSaint Vincent and the GrenadinesVGBritish Virgin IslandsVIU.S. Virgin IslandsVNVietnamVUVanuatuWFWallis and FutunaWSSamoaXKKosovoYTMayotteZASouth AfricaZMZambia
custom_dataobject | null
Example:
{"customer_reference_id":"abcd1234"}Your own structured key-value data.
statusstring
Whether this entity can be used in Paddle.
Values
activeEntity is active and can be used.archivedEntity is archived, so can't be used.
Response (200)
dataobjectrequired
Represents an address entity.
idstringrequired
Example:
add_01gm302t81w94gyjpjpqypkzkfUnique Paddle ID for this address entity, prefixed with
add_.Pattern:
^add_[a-z\d]{26}$customer_idstringrequired
Example:
ctm_01grnn4zta5a1mf02jjze7y2ysPaddle ID for the customer related to this address, prefixed with
cus_.Pattern:
^ctm_[a-z\d]{26}$descriptionstring | nullrequired
Example:
Paddle.comMemorable description for this address.
Max length: 1024
first_linestring | nullrequired
Example:
3811 Ditmars BlvdFirst line of this address.
Max length: 1024
second_linestring | nullrequired
Second line of this address.
Max length: 1024
citystring | nullrequired
Example:
AstoriaCity of this address.
Max length: 200
postal_codestring | nullrequired
Example:
11105-1803ZIP or postal code of this address. Required for some countries.
Max length: 200
regionstring | nullrequired
Example:
NYState, county, or region of this address.
Max length: 200
country_codestringrequired
Supported two-letter ISO 3166-1 alpha-2 country code for this address.
Values
ADAndorraAEUnited Arab EmiratesAGAntigua and BarbudaAIAnguillaALAlbania
+ Show all values− Hide values
AMArmeniaAOAngolaARArgentinaASAmerican SamoaATAustriaAUAustraliaAWArubaAXÅland IslandsAZAzerbaijanBABosnia and HerzegovinaBBBarbadosBDBangladeshBEBelgiumBFBurkina FasoBGBulgariaBHBahrainBIBurundiBJBeninBLSaint BarthélemyBMBermudaBNBruneiBOBoliviaBQCaribbean Netherlands (Bonaire, Sint Eustatius, and Saba)BRBrazilBSBahamasBTBhutanBVBouvet IslandBWBotswanaBZBelizeCACanadaCCCocos IslandsCGRepublic of CongoCHSwitzerlandCICôte d'Ivoire (Ivory Coast)CKCook IslandsCLChileCMCameroonCNChinaCOColombiaCRCosta RicaCVCape VerdeCWCuraçaoCXChristmas IslandCYCyprusCZCzechia (Czech Republic)DEGermanyDJDjiboutiDKDenmarkDMDominicaDODominican RepublicDZAlgeriaECEcuadorEEEstoniaEGEgyptEHWestern SaharaEREritreaESSpainETEthiopiaFIFinlandFJFijiFKFalkland IslandsFMMicronesiaFOFaroe IslandsFRFranceGAGabonGBUnited KingdomGDGrenadaGEGeorgiaGFFrench GuianaGGGuernseyGHGhanaGIGibraltarGLGreenlandGMGambiaGNGuineaGPGuadeloupeGQEquatorial GuineaGRGreeceGSSouth Georgia and the South Sandwich IslandsGTGuatemalaGUGuamGWGuinea-BissauGYGuyanaHKHong KongHMHeard Island and McDonald IslandsHNHondurasHRCroatiaHUHungaryIDIndonesiaIEIrelandILIsraelIMIsle of ManINIndiaIOBritish Indian Ocean TerritoryIQIraqISIcelandITItalyJEJerseyJMJamaicaJOJordanJPJapanKEKenyaKGKyrgyzstanKHCambodiaKIKiribatiKMComorosKNSaint Kitts and NevisKRSouth KoreaKWKuwaitKYCayman IslandsKZKazakhstanLALao People's Democratic Republic (Laos)LBLebanonLCSaint LuciaLILiechtensteinLKSri LankaLRLiberiaLSLesothoLTLithuaniaLULuxembourgLVLatviaMAMoroccoMCMonacoMDMoldovaMEMontenegroMFSaint MartinMGMadagascarMHMarshall IslandsMKMacedoniaMNMongoliaMOMacaoMPNorthern Mariana IslandsMQMartiniqueMRMauritaniaMSMontserratMTMaltaMUMauritiusMVMaldivesMWMalawiMXMexicoMYMalaysiaMZMozambiqueNANamibiaNCNew CaledoniaNENigerNFNorfolk IslandNGNigeriaNLNetherlandsNONorwayNPNepalNRNauruNUNiueNZNew ZealandOMOmanPAPanamaPEPeruPFFrench PolynesiaPGPapua New GuineaPHPhilippinesPKPakistanPLPolandPMSaint Pierre and MiquelonPNPitcairnPRPuerto RicoPSPalestinian territoriesPTPortugalPWPalauPYParaguayQAQatarREReunionRORomaniaRSRepublic of SerbiaRWRwandaSASaudi ArabiaSBSolomon IslandsSCSeychellesSESwedenSGSingaporeSHSaint HelenaSISloveniaSJSvalbard and Jan MayenSKSlovakiaSLSierra LeoneSMSan MarinoSNSenegalSRSurinameSTSão Tomé and PríncipeSVEl SalvadorSXSint MaartenSZSwazilandTCTurks and Caicos IslandsTDChadTFFrench Southern and Antarctic LandsTGTogoTHThailandTJTajikistanTKTokelauTLTimor-LesteTMTurkmenistanTNTunisiaTOTongaTRTurkeyTTTrinidad and TobagoTVTuvaluTWTaiwanTZTanzaniaUAUkraineUGUgandaUMUnited States Minor Outlying IslandsUSUnited StatesUYUruguayUZUzbekistanVAHoly See (Vatican City)VCSaint Vincent and the GrenadinesVGBritish Virgin IslandsVIU.S. Virgin IslandsVNVietnamVUVanuatuWFWallis and FutunaWSSamoaXKKosovoYTMayotteZASouth AfricaZMZambia
custom_dataobject | nullrequired
Example:
{"customer_reference_id":"abcd1234"}Your own structured key-value data.
statusstringrequired
Default:
activeWhether this entity can be used in Paddle.
Values
activeEntity is active and can be used.archivedEntity is archived, so can't be used.
created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity.
null if this entity is not imported.external_idstring | null
Example:
9b95b0b8-e10f-441a-862e-1936a6d818abReference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example:
paddle_classicName of the platform or provider where this entity was imported from.
Length: 1–200
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
{ "description": "California Office", "first_line": "5400 E Washington Drive, Floor 2", "city": "San Jose", "region": "CA", "custom_data": { "crm_id": "08bcfb7a-41d8-4747-9ade-3d885c287d0f" }}{ "data": { "id": "add_01hv8gwdfkw5z6d1yy6pa3xyrz", "status": "active", "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4", "description": "California Office", "first_line": "5400 E Washington Drive, Floor 2", "second_line": null, "city": "San Jose", "postal_code": "95314", "region": "CA", "country_code": "US", "custom_data": { "crm_id": "08bcfb7a-41d8-4747-9ade-3d885c287d0f" }, "created_at": "2024-04-12T06:45:53.267Z", "updated_at": "2024-04-12T06:47:01.533006Z", "import_meta": null }, "meta": { "request_id": "c3308aa6-fdba-457d-af96-6a51e7292b90" }}